--- tqt/secqlineedit.h.orig	2019-03-06 07:09:48 UTC
+++ tqt/secqlineedit.h
@@ -80,7 +80,7 @@ class TQPopupMenu;
 class TQTextParagraph;
 class TQTextCursor;
 
-class Q_EXPORT SecTQLineEdit : public TQFrame
+class TQ_EXPORT SecTQLineEdit : public TQFrame
 {
     TQ_OBJECT
     TQ_ENUMS( EchoMode )
@@ -127,7 +127,7 @@ class Q_EXPORT SecTQLineEdit : public TQFrame (public)
 
     int alignment() const;
 
-#ifndef QT_NO_COMPAT
+#ifndef TQT_NO_COMPAT
     void cursorLeft( bool mark, int steps = 1 ) { cursorForward( mark, -steps ); }
     void cursorRight( bool mark, int steps = 1 ) { cursorForward( mark, steps ); }
 #endif
@@ -153,7 +153,7 @@ class Q_EXPORT SecTQLineEdit : public TQFrame (public)
     bool isUndoAvailable() const;
     bool isRedoAvailable() const;
 
-#ifndef QT_NO_COMPAT
+#ifndef TQT_NO_COMPAT
     bool hasMarkedText() const { return hasSelectedText(); }
     SecTQString markedText() const { return selectedText(); }
 #endif
@@ -175,7 +175,7 @@ public slots:
     virtual void setSelection( int, int );
     virtual void setCursorPosition( int );
     virtual void setAlignment( int flag );
-#ifndef QT_NO_CLIPBOARD
+#ifndef TQT_NO_CLIPBOARD
     virtual void cut();
     virtual void copy() const;
     virtual void paste();
@@ -204,7 +204,7 @@ signals: (protected)
     void resizeEvent( TQResizeEvent * );
     void drawContents( TQPainter * );
     void windowActivationChange( bool );
-#ifndef QT_NO_COMPAT
+#ifndef TQT_NO_COMPAT
     void repaintArea( int, int ) { update(); }
 #endif
 
